server {
    listen 80;
    listen [::]:80;
    server_name {{ parent_domain }};
    location / {
        return 301 https://$host$request_uri;
    }
}

server {
    listen 443 ssl;
    listen [::]:443 ssl;
    server_name {{ parent_domain }};
    rewrite ^/(.*)$ https://cv.{{ parent_domain }}/$1 permanent;
    server_tokens off;

    ssl_certificate /etc/letsencrypt/live/{{ parent_domain }}/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/{{ parent_domain }}/privkey.pem;
    include /etc/letsencrypt/options-ssl-nginx.conf;
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
}

{%- for item in domains  -%}
server {
    listen 80;
    listen [::]:80;
    server_name {{ item.url }};
    location / {
        return 301 https://$host$request_uri;
    }
}

server {
    listen 443 ssl;
    listen [::]:443 ssl;
    server_name {{ item.url }};
    server_tokens off;

    ssl_certificate /etc/letsencrypt/live/{{ item.url }}/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/{{ item.url }}/privkey.pem;
    include /etc/letsencrypt/options-ssl-nginx.conf;
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;

    location / {
        proxy_pass  https://{{ item.proxy_pass }};
        proxy_set_header    Host                $http_host;
        proxy_set_header    X-Real-IP           $remote_addr;
        proxy_set_header    X-Forwarded-For     $proxy_add_x_forwarded_for;
    }
}
{%- endfor -%}